# Returns a subledger entry from the system by its ID.

This method will look up a subledger entry by the specified ID and return it back.

Endpoint: GET /subledgerEntries/{tenantId}/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the subledger entry to return.

## Query parameters:

  - `fields` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned.

  - `consistentRead` (string)
    Indicates the API should force a consistent read on the data source.

## Response 200:

  - `200` (unknown)
    The subledger entry was retrieved successfully.

## Response 200 fields (application/json):

  - `batch_id` (string, required)
    The batch the entry is tied to

  - `business_unit_id` (string, required)
    The business unit that the batch belongs in

  - `cogs_entry_id` (string)

  - `contact_id` (string)

  - `credit_card_last_five_digits` (string)
    For payments, the last five digits of the credit card

  - `credit_id` (string)

  - `credit_memo_id` (string)

  - `credit_usage_id` (string)

  - `customer_type` (string)
    Enum: "contact", "organization"

  - `date` (string, required)
    The date of the batch

  - `debit_memo_id` (string)

  - `fiscal_period` (integer, required)
    The fiscal period of the batch

  - `fiscal_year_id` (string, required)
    The fiscal year of the business unit

  - `gift_id` (string)

  - `id` (string, required)
    A unique id for the entry

  - `inventory_receipt_id` (string)

  - `invoice_id` (string)

  - `items` (array, required)

  - `items.accounting_project_code` (string)

  - `items.accounting_project_id` (string)

  - `items.bank_account_id` (string)

  - `items.credit_usage_line_item_id` (string)

  - `items.credits` (number, required)

  - `items.debits` (number, required)

  - `items.deferral_end_date` (string)

  - `items.deferral_start_date` (string)

  - `items.department_code` (string)

  - `items.department_id` (string)

  - `items.due_to_due_from_business_unit_id` (string)

  - `items.gl_account_code` (string, required)

  - `items.gl_account_id` (string, required)

  - `items.gl_account_name` (string)

  - `items.invoice_id` (string)

  - `items.invoice_line_item_id` (string)

  - `items.merchant_account_id` (string)

  - `items.payment_line_item_id` (string)

  - `items.product_id` (string)

  - `items.product_name` (string)

  - `items.product_type` (string)

  - `items.transaction_credits` (number, required)

  - `items.transaction_currency_code` (string, required)
    Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EEK", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GQE", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LVL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZM", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEB", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMK", "ZWR"

  - `items.transaction_debits` (number, required)

  - `items.type` (string, required)
    Enum: "accounts receivable", "cash", "cogs expense", "credit expense", "credit liability", "credit usage", "currency trading", "deferred revenue", "due to/due from", "gift debit", "gift revenue", "inventory", "invoice payment", "overpayment", "revenue", "rounding", "write off expense"

  - `notes` (string)

  - `order_date` (string)

  - `order_id` (string)

  - `organization_id` (string)

  - `payment_card_type` (string)
    The tyep of card for payment

  - `payment_id` (string)

  - `payment_reference_number` (string)
    For payments, the reference or check #

  - `payment_type` (string)
    The payment type

  - `refund_id` (string)

  - `revenue_recognition_schedule_entry_id` (string)

  - `revenue_recognition_schedule_id` (string)

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `transaction_date` (string)

  - `transaction_id` (string)

  - `transaction_type` (string)

  - `write_off_id` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The subledger entry could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve subledger entry based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

